local mod_name = minetest.get_current_modname()
local S = minetest.get_translator(mod_name)

minetest.register_node("pmb_underworld:lava_rock_coral", {
    description = pmb_util.desc(S("Coral Covered Lava Rock"), "grey"),
    groups = { full_solid = 1, nature = 1, item_lava_rock_coral = 1, underworld = 1, lava_coral = 1, oddly_breakable_by_hand = 3, magicky = 1, solid = 1, suffocates = 2, silk_touchable = 1, },
    tiles = {"pmb_underworld_lava_rock_coral.png"},
    drop = "pmb_underworld:lava_rock",
    sounds = pmb_sounds.default_stone(),
    light_source = pmb_underworld.lava_rock_light,
})
pmb_util.register_all_shapes("pmb_underworld:lava_rock_coral")


minetest.register_node("pmb_underworld:lava_coral_top", {
    description = pmb_util.desc(S("Coral Covered Lava Rock"), "grey"),
    groups = { full_solid = 1, nature = 1, item_lava_coral = 1, underworld = 1, lava_coral = 1, oddly_breakable_by_hand = 3, magicky = 1, solid = 1, suffocates = 2, fuel = 10 },
    tiles = {
        "pmb_underworld_lava_coral_top.png",
        "pmb_underworld_lava_coral_sparse.png",
        "pmb_underworld_lava_coral_sparse.png^pmb_underworld_lava_coral_side.png",
    },
    drop = {
        max_items = 2,
        items = {
            {
                rarity = 16,
                items = {"pmb_underworld:lava_coral_bulb"},
            },
            {
                rarity = 1,
                items = {"pmb_underworld:lava_rock"},
            },
        },
    },
    sounds = pmb_sounds.default_stone(),
    light_source = pmb_underworld.lava_rock_light,
})
pmb_util.register_all_shapes("pmb_underworld:lava_coral_top")

minetest.register_node("pmb_underworld:lava_coral_sparse", {
    description = pmb_util.desc(S("Coral Covered Lava Rock"), "grey"),
    groups = { full_solid = 1, nature = 1, item_lava_coral = 1, underworld = 1, lava_coral = 1, oddly_breakable_by_hand = 3, magicky = 1, solid = 1, suffocates = 2, fuel = 10 },
    tiles = {
        "pmb_underworld_lava_coral_sparse.png",
    },
    drop = {
        max_items = 2,
        items = {
            {
                rarity = 16,
                items = {"pmb_underworld:lava_coral_bulb"},
            },
            {
                rarity = 1,
                items = {"pmb_underworld:lava_rock"},
            },
        },
    },
    sounds = pmb_sounds.default_stone(),
    light_source = pmb_underworld.lava_rock_light,
})
pmb_util.register_all_shapes("pmb_underworld:lava_coral_sparse")

minetest.register_node("pmb_underworld:lava_coral", {
    description = pmb_util.desc(S("Lava Coral"), "grey"),
    groups = { full_solid = 1, nature = 1, item_lava_coral = 1, underworld = 1, lava_coral = 1, oddly_breakable_by_hand = 3, magicky = 1, solid = 1, suffocates = 2, fuel = 10 },
    tiles = {
        "pmb_underworld_lava_coral.png",
    },
    drop = {
        max_items = 2,
        items = {
            {
                rarity = 64,
                items = {"pmb_underworld:lava_coral_bulb"},
            },
            {
                rarity = 1,
                items = {"pmb_underworld:lava_coral"},
            },
        },
    },
    sounds = pmb_sounds.default_stone(),
    light_source = pmb_underworld.lava_rock_light,
})
pmb_util.register_all_shapes("pmb_underworld:lava_coral")
